#
# check owntone account
#
if [ -z "$(grep ^owntone /etc/group)" ]; then
    groupadd -g 458 owntone
fi
if [ -z "$(grep ^owntone /etc/passwd)" ]; then
    useradd -u 458 -g 458 -d /var/owntone -s /bin/bash -c "Owntone Server" owntone
fi
if [ -z "$(groupmems -g audio -l | grep -w owntone)" ]; then
    groupmems -g audio -a owntone
fi


config() {
    NEW="$1"
    OLD="$(dirname $NEW)/$(basename $NEW .new)"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
	mv $NEW $OLD
    elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
	rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/owntone.conf.new
config etc/rc.d/rc.owntone.new

